//Source file: TerminalCapabilities.java
//Date: June 2004
//Terminal Capability Interfaces and Data Types for 3GPP TS 29.198-07 V5.6.0

package org.csapi.jr.se.termcap;

/**
 * This interface represents a TerminalCapabilities.<BR>
 *
 */
public interface TerminalCapabilities extends org.csapi.jr.se.Service {

    /**
     * Invokes the getTerminalCapabilities() method on the Parlay Gateway.
     */
    org.csapi.jr.se.termcap.TypeTerminalCapabilities getTerminalCapabilities(
           java.lang.String                terminalIdentity)
      throws org.csapi.jr.se.PlatformException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.termcap.InvalidTerminalIdException;

}
